<?php if( $title ) echo $args['before_title'].$title.$args['after_title'];

if($show_list){
    $args = array(
    'hide_empty' => ( @ $hide_empty ? true : false ),
    );
    if( ! empty( $count ) ) {
        $args['number'] = $count;
    } 
    if( ! empty( $orderby ) ) {
        $args['orderby'] = $orderby;
    }
    $terms = get_terms( 'gswcbr_brand', $args );

    foreach($terms as $term) {
        echo '<div class="gs_widget_brand_element">';

        if( $use_name && $product_num) {
            echo '<a href="', get_term_link( $term->term_id, 'gswcbr_brand' ), '" class="brand-name">', $term->name, '</a><span class="count">('.$term->count.')</span>';
        } 
        else {
            echo '<a href="', get_term_link( $term->term_id, 'gswcbr_brand' ), '" class="brand-name">', $term->name, '</a>';
        }

        if( $use_image ) {
            $image  = get_woocommerce_term_meta( $term->term_id, 'brand_image_url', true );
            if( ! empty($image) ) {
                echo '<a href="', get_term_link( $term->term_id, 'gswcbr_brand' ), '" class="brand-img"><img style="max-width:', $imgh, 'px; max-height:', $imgh, 'px; display: inline-block;" src="', $image, '" alt="', $term->name, '"></a>';
            }
        }

        echo '</div>';
    }
}



if( $brand_dropdown ){
    if (! function_exists('click_taxonomy_dropdown')){
    function click_taxonomy_dropdown($taxonomy) { ?>
    <form action="/" method="get">
    <select name="brand_cat" id="brand_cat" class="postform" onChange="onCatChange()">
    <option value="-1">Choose Brand...</option>
    <?php
    $terms = get_terms($taxonomy);
    foreach ($terms as $term) {
        printf( '<option class="brand-nm-ddown" value="%s">%s</option>', $term->slug, $term->name );
    }
    echo '</select></form>';
    ?>
<?php }
}
click_taxonomy_dropdown( 'gswcbr_brand' ); ?>
<script type="text/javascript">
    var dropdown = document.getElementById("brand_cat");
    function onCatChange() {
        if ( dropdown.options[dropdown.selectedIndex].value > '' ) {
            location.href = "<?php echo get_option('home'); ?>/?gswcbr_brand="+dropdown.options[dropdown.selectedIndex].value;
        }
    }
dropdown.onChange = onCatChange;
</script>

<?php
}